package com.qunzhixinxi.hnqz.common.taxhelper.entity.request;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.qunzhixinxi.hnqz.common.taxhelper.entity.model.TaxHelperModel;
import lombok.Getter;
import lombok.Setter;

/**
 * {@code TaxHelperRequest} class is base request structure
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-18
 * @since ver.1.0.0
 */
@Getter
public abstract class TaxHelperRequest {

	/**
	 * 查询地址
	 */
	@JsonIgnore
	protected String queryUrl;

	/**
	 * uri
	 */
	@JsonIgnore
	protected String uri;

	/**
	 * 业务model
	 */
	@JsonIgnore
	protected TaxHelperModel bizModel;

	// 随机key
	@Setter
	@JsonIgnore
	protected String key;
}
