package com.qunzhixinxi.hnqz.admin.controller;

import com.qunzhixinxi.hnqz.admin.entity.dto.WmDeptTaskTypeConfigDTO;
import com.qunzhixinxi.hnqz.admin.service.WmDeptTaskTypeConfigService;
import com.qunzhixinxi.hnqz.common.core.util.R;
import com.qunzhixinxi.hnqz.common.log.annotation.SysLog;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 部门任务类型配置控制层
 *
 * @author lixuesong
 * @date 2021年12月03日 11:03
 */
@Slf4j
@RestController
@AllArgsConstructor
@RequestMapping("/dept-task-type-config")
public class WmDeptTaskTypeConfigController {

	private WmDeptTaskTypeConfigService wmDeptTaskTypeConfigService;

	/**
	 * 保存任务类型配置
	 *
	 * @param wmDeptTaskTypeConfigDTO
	 * @return
	 */
	@SysLog("保存任务类型配置")
	@PostMapping("/save")
	public R<?> saveDeptTaskTypeConfig(@Validated @RequestBody WmDeptTaskTypeConfigDTO wmDeptTaskTypeConfigDTO) {
		wmDeptTaskTypeConfigService.saveDeptTaskTypeConfig(wmDeptTaskTypeConfigDTO);
		return R.ok();
	}

	/**
	 * 查询任务类型配置
	 *
	 * @param deptId
	 * @return
	 */
	@GetMapping("/{deptId}")
	public R<WmDeptTaskTypeConfigDTO> getDeptTaskTypeConfig(@PathVariable("deptId") Integer deptId) {
		return R.ok(wmDeptTaskTypeConfigService.getDeptTaskTypeConfig(deptId));
	}

}
