package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.qunzhixinxi.hnqz.admin.entity.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * {@code Contract} 合同实体
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-07
 * @since ver.1.0.0
 */
@Data
@TableName("wm_contract")
@ApiModel(value = "档案-合同")
@EqualsAndHashCode(callSuper = false)
public class Contract extends BaseEntity {

	private static final long serialVersionUID = 422928697799232802L;

	@TableId
	@ApiModelProperty(value="主键id")
	private Integer id;

	@ApiModelProperty(value="客户主键id")
	private Integer customerId;

	@ApiModelProperty(value="租户id")
	private Integer tenantId;

	@ApiModelProperty(value="合同名称")
	private String title;

	@ApiModelProperty(value="合同号")
	private String serialNo;

	@ApiModelProperty(value="签订日期")
	private LocalDateTime signTime;

	@ApiModelProperty(value = "归档时间")
	private LocalDateTime filingTime;

	@ApiModelProperty(value="有效期截止")
	private LocalDateTime expirationTime;

	@ApiModelProperty(value="合同图片地址")
	private String picUrl;

	@ApiModelProperty(value="客户经理名称")
	private String mgr;

	@ApiModelProperty(value = "签约甲方")
	private String partyA;

	@ApiModelProperty(value = "签约乙方")
	private String partyB;

	@ApiModelProperty(value = "说明")
	private String state;

	@ApiModelProperty(value = "备注")
	private String remark;

}
