package com.qunzhixinxi.hnqz.admin.entity;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * {@code SysCertResultRecord} 类认证结果记录类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-03-27
 * @since ver.1.0.0
 */
@Data
public class SysCertResultRecord implements Serializable {

	private static final long serialVersionUID = -7828313240329417225L;

	private Integer id;

	/**
	 * 用户id
	 */
	private Integer userId;

	/**
	 * 归属体id
	 */
	private Integer deptId;

	/**
	 * 归属类型：0-> 人力家，1-> 税邦云
	 */
	private Integer subjectType;

	/**
	 * 请求方法
	 */
	private String method;

	/**
	 * 状态码
	 */
	private String code;

	/**
	 * 结果码
	 */
	private String status;

	/**
	 * 结果信息
	 */
	private String message;

	/**
	 * 创建时间
	 */
	private LocalDateTime createTime;
}
