/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 任务类型打分
 *
 * @author gaoyanng
 * @date 2020-06-25 23:35:25
 */
@Data
@TableName("wm_task_type_score_ref")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "任务类型打分")
public class WmTaskTypeScoreRef extends Model<WmTaskTypeScoreRef> {
private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId
    @ApiModelProperty(value="")
    private Integer id;
    /**
     * 积分规则ID
     */
    @ApiModelProperty(value="积分规则ID")
    private Integer taskRuleId;
    /**
     * 任务类型打分
     */
    @ApiModelProperty(value="任务类型打分")
    private String taskTypeScore;
    /**
     * 任务类型ID
     */
    @ApiModelProperty(value="任务类型ID")
    private Integer taskTypeId;
    /**
     * 1.平台给一级代理商打分
2.一级代理商给二级代理商打分
     */
    @ApiModelProperty(value="1.平台给一级代理商打分 2.一级代理商给二级代理商打分")
    private Integer typeid;
    /**
     * 一级代理商ID
     */
    @ApiModelProperty(value="一级代理商ID")
    private Integer level1Id;
    /**
     * 二级代理商ID
     */
    @ApiModelProperty(value="二级代理商ID")
    private Integer level2Id;
    /**
     * 药企ID
     */
    @ApiModelProperty(value="药企ID")
    private Integer drugentId;
    /**
     * 积分规则所属月份
     */
    @ApiModelProperty(value="积分规则所属月份")
    private String monthStr;
    /**
     * 组织机构ID
     */
    @ApiModelProperty(value="组织机构ID")
    private Integer deptId;
    /**
     * 是否删除
     */
    @ApiModelProperty(value="是否删除")
    private Integer delFlag;
    /**
     * 是否禁用
     */
    @ApiModelProperty(value="是否禁用")
    private Integer enableFlag;
    /**
     * 所属租户
     */
    @ApiModelProperty(value="所属租户",hidden=true)
    private Integer tenantId;
    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value="创建人")
    private Integer createUser;
    /**
     * 更新时间
     */
    @ApiModelProperty(value="更新时间")
    private LocalDateTime updateTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value="更新人")
    private Integer updateUser;
    }
