package com.qunzhixinxi.hnqz.admin.entity.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.qunzhixinxi.hnqz.admin.api.entity.SysFile;
import com.qunzhixinxi.hnqz.admin.api.entity.SysUser;
import com.qunzhixinxi.hnqz.admin.entity.WmScorePackage;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;


/**
 * 批量上传证据链DTO
 * @author Hengchen.Sun
 * @date 2021/06/21
 * @version 1.0.0
 */
@Data
public class CommonEvidenceDTO implements Serializable {

	private static final long serialVersionUID = 1018305612833681995L;

	/**
	 * id
	 */
	private String id;

	/**
	 * 用户真实姓名
	 */
	private String realName;

	/**
	 * 用户名
	 */
	private String username;

	/**
	 * 积分包名称
	 */
	private String scorePackageName;


	/**
	 * 工作系统
	 */
	private String workstation;

	/**
	 * 对方账号
	 */
	private String targetUsername;

	/**
	 * 受试者编号
	 */
	private String subjectNum;

	/**
	 * 方式阶段
	 */
	private String visitStage;

	/**
	 * 上传时间
	 */
	private LocalDate uploadTime;

	/**
	 * 审核状态
	 */
	private String auditStatus;

	/**
	 * 日志信息
	 */
	private String logs;

	/**
	 * 审核通过时间
	 */
	private LocalDate passingTime;

	/**
	 * 审核人
	 */
	private String auditor;

	/**
	 * 备注
	 */
	private String comment;

	/**
	 * 发票类型
	 */
	private Integer invoiceType;

	/**
	 * 发票类目
	 */
	private String invoiceCategory;

	/**
	 * 金额
	 */
	private BigDecimal amount;

	/**
	 * 上传人id
	 */
	private Integer creatorId;

	/**
	 * 所属部门
	 */
	private Integer deptId;

	/**
	 * 积分包
	 */
	private WmScorePackage scorePackage;

	/**
	 * 用户
	 */
	private SysUser sysUser;

	/**
	 * 上传的文件
	 */
	private SysFile file;

}
