/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qunzhixinxi.hnqz.admin.entity.WmTaskType;
import com.qunzhixinxi.hnqz.admin.entity.WmTaskTypeTree;
import com.qunzhixinxi.hnqz.admin.entity.output.WmTaskTypeDeptOutput;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 任务类型打分表
 *
 * @author gaoyang
 * @date 2020-07-01 20:20:05
 */
@Mapper
public interface WmTaskTypeMapper extends BaseMapper<WmTaskType> {

    List<WmTaskType> selectByRuleId(WmTaskType wmTaskType);

    List<WmTaskTypeTree> getWmTaskType(@Param("query") WmTaskType wmTaskType);

	List<WmTaskTypeTree> getWmTaskTypeYX(@Param("query")WmTaskType wmTaskType);

	List<WmTaskTypeDeptOutput> getTaskTypeDeptList(@Param("query")WmTaskType wmTaskType);
}
