package com.qunzhixinxi.hnqz.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qunzhixinxi.hnqz.admin.entity.SysWxReplyMessage;

import java.util.List;

/**
 * 微信消息自动回复
 *
 * @author lixuesong
 * @date 2021年04月28日 15:21
 */
public interface SysWxReplyMessageService extends IService<SysWxReplyMessage> {

	/**
	 * 查询消息列表分页
	 *
	 * @param page
	 * @param sysWxReplyMessage
	 * @return
	 */
	IPage<List<SysWxReplyMessage>> listMessagePage(Page page, SysWxReplyMessage sysWxReplyMessage);

	/**
	 * 根据id查询消息
	 *
	 * @param id
	 * @return
	 */
	SysWxReplyMessage getMessageById(Integer id);

	/**
	 * 保存消息
	 *
	 * @param sysWxReplyMessage
	 * @return
	 */
	boolean saveMessage(SysWxReplyMessage sysWxReplyMessage);

	/**
	 * 更新消息
	 *
	 * @param sysWxReplyMessage
	 * @return
	 */
	boolean updateMessageById(SysWxReplyMessage sysWxReplyMessage);

	/**
	 * 删除消息
	 *
	 * @param id
	 * @return
	 */
	boolean deleteMessageById(Integer id);

}
