/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */
package com.qunzhixinxi.hnqz.admin.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qunzhixinxi.hnqz.admin.entity.WmTaskTypeEntRef;
import com.qunzhixinxi.hnqz.admin.mapper.WmTaskTypeEntRefMapper;
import com.qunzhixinxi.hnqz.admin.service.WmTaskTypeEntRefService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 药企给代理商设定积分规则
 *
 * @author gaoyang
 * @date 2020-07-02 23:35:21
 */
@Service
@AllArgsConstructor
public class WmTaskTypeEntRefServiceImpl extends ServiceImpl<WmTaskTypeEntRefMapper, WmTaskTypeEntRef> implements WmTaskTypeEntRefService {

private final WmTaskTypeEntRefMapper wmTaskTypeEntRefMapper;

	@Override
	public List<WmTaskTypeEntRef> selectByDrId(String id) {
		return wmTaskTypeEntRefMapper.selectByDrId(id);
	}

	@Override
	public List<WmTaskTypeEntRef> selectByAgentId(String agentId) {
		return wmTaskTypeEntRefMapper.selectByAgentId(agentId);
	}
}
