package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * {@code WmDeptGMVs} 类
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-07
 * @since ver.1.0.0
 */
@Data
public class WmDeptGMVs implements Serializable {

	private static final long serialVersionUID = -7322234001561876480L;

	private Integer id;

	/**
	 * 部门id
	 */
	private Integer deptId;

	/**
	 * 年份
	 */
	private String year;

	/**
	 * 月份
	 */
	private String month;

	/**
	 * 按积分值统计的GMV（保存最近一次的统计，单位：积分）
	 */
	private Long gmv1;

	/**
	 * gmv1收益率（保存最近一次的统计，万分之）
	 */
	private Integer gmv1Rate;

	/**
	 * 按结算额统计的GMV（保存最近一次的统计，单位：分）
	 */
	private Long gmv2;

	/**
	 * gmv2收益率（保存最近一次的统计，万分之）
	 */
	private Integer gmv2Rate;

	/**
	 * 人力家服务费费率（保存最近一次的统计，万分之）
	 */
	private Integer renlijiaServiceChargeRate;

	/**
	 * 要易收益（保存最近一次的统计，单位：分）
	 */
	private Long income;

	/**
	 * 每日统计记录
	 */
	private List<DayOfMonthRecord> recordList;

	@Data
	public static class DayOfMonthRecord implements Serializable{

		private static final long serialVersionUID = 7605882694454585231L;

		private Integer id;

		/**
		 * 统计日(1-31)
		 */
		private String statisticsDay;

		/**
		 * 按积分值统计的GMV（单位：积分）
		 */
		private Long gmv1;

		/**
		 * gmv1收益率（万分之）
		 */
		private Integer gmv1Rate;

		/**
		 * 按结算额统计的GMV（单位：分）
		 */
		private Long gmv2;

		/**
		 * gmv2收益率（万分之）
		 */
		private Integer gmv2Rate;

		/**
		 * 人力家服务费费率（万分之）
		 */
		private Integer renlijiaServiceChargeRate;

		/**
		 * 要易收益（单位：分）
		 */
		private Long income;
	}
}
