/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.daemon.quartz.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 积分包
 *
 * @author pigx code generator
 * @date 2020-07-31 20:07:52
 */
@Data
@TableName("wm_score_package")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "积分包")
public class WmScorePackage extends Model<WmScorePackage> {
private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId
    @ApiModelProperty(value="")
    private Integer id;
    /**
     * 规则ID
     */
    @ApiModelProperty(value="规则ID")
    private String taskRuleId;
    /**
     * 药企ID
     */
    @ApiModelProperty(value="药企ID")
    private String drugEntId;
    /**
     * 积分包ID
     */
    @ApiModelProperty(value="积分包ID")
    private String scoreId;
    /**
     * 积分包名称
     */
    @ApiModelProperty(value="积分包名称")
    private String scoreName;
    /**
     * 积分
     */
    @ApiModelProperty(value="积分")
    private String score;
    /**
     * 代理商类型
     */
    @ApiModelProperty(value="代理商类型")
    private String agentTypeId;
    /**
     * 一级代理商
     */
    @ApiModelProperty(value="一级代理商")
    private String level1Id;
    /**
     * 二级代理商
     */
    @ApiModelProperty(value="二级代理商")
    private String level2Id;
    /**
     * 众包ID
     */
    @ApiModelProperty(value="众包ID")
    private String zbId;
    /**
     * 销售代表ID
     */
    @ApiModelProperty(value="销售代表ID")
    private String xxdbId;
    /**
     * 分配对象类型
     */
    @ApiModelProperty(value="分配对象类型")
    private String typeid;
    /**
     * 积分包状态
     */
    @ApiModelProperty(value="积分包状态")
    private String packageStatus;
    /**
     * 积分包完成状态
     */
    @ApiModelProperty(value="积分包完成状态")
    private String packageFinishStatus;
    /**
     * 发包方ID
     */
    @ApiModelProperty(value="发包方ID")
    private String sendPackageDeptId;
    /**
     * 组织机构ID
     */
    @ApiModelProperty(value="组织机构ID")
    private String deptId;
    /**
     * 是否删除
     */
    @ApiModelProperty(value="是否删除")
    private String delFlag;
    /**
     * 是否禁用
     */
    @ApiModelProperty(value="是否禁用")
    private String enableFlag;
    /**
     * 所属租户
     */
    @ApiModelProperty(value="所属租户",hidden=true)
    private Integer tenantId;
    /**
     * 创建时间
     */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value="创建人")
    private Integer createUser;
    /**
     * 更新时间
     */
    @ApiModelProperty(value="更新时间")
    private LocalDateTime updateTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value="更新人")
    private Integer updateUser;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private Integer ytj;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private Integer ysh;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private Integer dsh;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private Integer ytjtt;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private Integer ywctt;
    /**
     * 
     */
    @ApiModelProperty(value="")
    private Integer yshtt;
    }
