/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

package com.qunzhixinxi.hnqz.daemon.quartz.mapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qunzhixinxi.hnqz.daemon.quartz.entity.WmScorePackageSettleNote;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 结算表
 *
 * @author pigx code generator
 * @date 2021-01-26 15:44:49
 */
@Mapper
public interface WmScorePackageSettleNoteMapper extends BaseMapper<WmScorePackageSettleNote> {

	/**
	 * 查询指定部门对应的结算数据
	 *
	 * @param deptId 部门id
	 * @param subType 结算渠道
	 * @param startTime 开始时间
	 * @param endTime 结束时间
	 * @return
	 */
	List<WmScorePackageSettleNote> listSettleAmountByDeptId(@Param("deptId") Integer deptId, @Param("subType") String subType,
														   @Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);
}
